{
  description = "A very basic flake";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    jwt-tool = {
      url = "github:MaeIsBad/jwt_tool";
      flake = false;
    };
    pycdc = {
      url = "github:zrax/pycdc";
      flake = false;
    };
  };

  outputs = { self, nixpkgs, flake-utils, jwt-tool, pycdc }:
  flake-utils.lib.eachDefaultSystem 
  (system:
      let
        nixpkgs = import self.inputs.nixpkgs { system = system; config.allowUnfree = true; };
      in
      rec {
        packages.jwt-tool = (import ./jwt-tool.nix { inherit nixpkgs jwt-tool; });
        apps.jwt-tool = {
          type = "app";
          program = "${packages.jwt-tool}/bin/jwt_tool";
        };
        packages.pycdc = (import ./pycdc.nix { inherit nixpkgs pycdc; });
        apps.pycdc = {
          type = "app";
          program = "${packages.pycdc}/bin/pycdc";
        };
        packages.wordlists = (nixpkgs.callPackage ./wordlists/default.nix {} );
      }
    );
}
